Skip to main content
`Ctrl`+`K`

# DMLocalToLocalBeginDefaultShell

Uses the LocalToLocal `VecScatter` context set by the user to begin a local to local scatter Collective

## Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMLocalToLocalBeginDefaultShell(DM dm, Vec g, InsertMode mode, Vec l)

## Input Parameters

- dm - `DMSHELL`

- g - the original local vector

- mode - `InsertMode`

## Output Parameter

- l - the local vector with correct ghost values

## Note

This is not normally called directly by user code, generally user code calls `DMLocalToLocalBegin()` and `DMLocalToLocalEnd()`. If the user provides their own custom routines to `DMShellSetLocalToLocal()` then those routines might have reason to call this function.

## See Also

`DM`, `DMSHELL`, `DMLocalToLocalEndDefaultShell()`

## Level

advanced

## Location

src/dm/impls/shell/dmshell.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages